Skip to main content
`Ctrl`+`K`

# ISSetLayout

set `PetscLayout` describing index set layout

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISSetLayout(IS is, PetscLayout map)

Collective

## Input Parameters

- is - the index set

- map - the layout

## Notes

Users should typically use higher level functions such as `ISCreateGeneral()`.

This function can be useful in some special cases of constructing a new `IS`, e.g. after `ISCreate()` and before `ISLoad()`. Otherwise, it is only valid to replace the layout with a layout known to be equivalent.

## See Also

`IS`, `PetscLayout`, `ISCreate()`, `ISGetLayout()`, `ISGetSize()`, `ISGetLocalSize()`

## Level

developer

## Location

src/vec/is/is/interface/index.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages